package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 自助点餐-订单通知日志
 * </p>
 *
 * @author yq
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DreOrderNoticeLog implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 订单ID
     */
    private Integer orderId;

    /**
     * 通知时间
     */
    private Date notcieTime;

    /**
     * 通知人ID
     */
    private Integer noticeUserId;

    /**
     * 通知人姓名
     */
    private String noticeUserName;

    /**
     * 读取时间
     */
    private Date readTime;

    /**
     * 发送状态（0:发送成功 1:发送失败）
     */
    private Integer sendStatus;

    /**
     * 发送结果
     */
    private String sendResult;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;


}
